package yuehaoxitong

import (
	"shylinux.com/x/ice"
	kit "shylinux.com/x/toolkits"

	"shylinux.com/x/community/src/yuehaoxitong/model"
)

type plan struct {
	Schedule
	create string `name:"create reception_uid*:select volume_uid*:select" role:"void"`
	cancel string `name:"cancel" role:"void"`
}

func (s plan) Create(m *ice.Message, arg ...string) {
	s.Schedule.Create(m, kit.Simple(arg, m.OptionSimple(model.QUEUE_UID, model.USER_UID), model.STATUS, SchedulePlan)...)
}
func (s plan) List(m *ice.Message, arg ...string) {
	if len(arg) == 1 {
		s.SelectByStatus(m, kit.Simple(arg[0], SchedulePlan, m.OptionSimple(model.USER_UID))...).PushAction(s.Cancel)
		kit.If(m.Length() == 0, func() { m.EchoInfoButton("") }, func() { m.Action(s.Create) })
	} else if len(arg) == 2 {
		s.Schedule.List(m, arg...)
	}
}

func init() { ice.TeamCtxCmd(plan{}) }
